Classes | Functions
SWFieldManagerInternal Namespace Reference

Internal: the structures of a SWFieldManager. More...

## Classes
struct | Field
| Internal: a field. More...
struct | FieldDateTime
| Internal: a fixed date time field. More...
struct | FieldDBField
| Internal: a DB field field. More...
struct | FieldHiddenText
| Internal: a hidden text/para field. More...
struct | FieldINet
| Internal: a set field field. More...
struct | FieldJumpEdit
| Internal: a jump edit field. More...
struct | FieldPageNumber
| Internal: a pageNumber field. More...
struct | FieldPostIt
| Internal: a postit field. More...
struct | FieldScript
| Internal: a script field. More...
struct | FieldSetExp
| Internal: a set expr field. More...
struct | FieldSetField
| Internal: a set field field. More...
struct | State
| Internal: the state of a SWFieldManager. More...
class | SubDocument
| Internal: the subdocument of a SWFieldManger. More...

## Functions
static void | updateDatabaseName (librevenge::RVNGString const &name, librevenge::RVNGPropertyList &pList)

## Detailed Description

Internal: the structures of a SWFieldManager.

## Function Documentation

## ◆ updateDatabaseName()

static void SWFieldManagerInternal::updateDatabaseName | ( | librevenge::RVNGString const & | name,
|  | librevenge::RVNGPropertyList & | pList )
| static

Referenced by SWFieldManagerInternal::Field::send(), SWFieldManagerInternal::FieldDBField::send(), and SWFieldManagerInternal::FieldSetField::send().